Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Interface POCDMT000040LabeledDrug

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  POCDMT000040LabeledDrugImpl

    public interface POCDMT000040LabeledDrug

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'POCDMT000040 Labeled Drug'.

The following features are supported:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Code`
- `Name`
- `Class Code`
- `Determiner Code`
- `Null Flavor`

See Also:
  `CDAR2Package.getPOCDMT000040LabeledDrug()`

Method Summary
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()` Returns the value of the 'Class Code' attribute.
`CE` | `getCode()` Returns the value of the 'Code' containment reference.
`EntityDeterminerDetermined` | `getDeterminerCode()` Returns the value of the 'Determiner Code' attribute.
`EN` | `getName()` Returns the value of the 'Name' containment reference.
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()` Returns the value of the 'Null Flavor' attribute.
`org.eclipse.emf.common.util.EList` | `getRealmCode()` Returns the value of the 'Realm Code' containment reference list.
`org.eclipse.emf.common.util.EList` | `getTemplateId()` Returns the value of the 'Template Id' containment reference list.
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()` Returns the value of the 'Type Id' containment reference.
`boolean` | `isSetClassCode()` Returns whether the value of the '`Class Code`' attribute is set.
`boolean` | `isSetDeterminerCode()` Returns whether the value of the '`Determiner Code`' attribute is set.
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Class Code`' attribute.
`void` | `setCode(CE value)` Sets the value of the '`Code`' containment reference.
`void` | `setDeterminerCode(EntityDeterminerDetermined value)` Sets the value of the '`Determiner Code`' attribute.
`void` | `setName(EN value)` Sets the value of the '`Name`' containment reference.
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator value)` Sets the value of the '`Null Flavor`' attribute.
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId value)` Sets the value of the '`Type Id`' containment reference.
`void` | `unsetClassCode()` Unsets the value of the '`Class Code`' attribute.
`void` | `unsetDeterminerCode()` Unsets the value of the '`Determiner Code`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getRealmCode

    org.eclipse.emf.common.util.EList getRealmCode()

  Returns the value of the 'Realm Code' containment reference list. The list contents are of type `CS1`.

  If the meaning of the 'Realm Code' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LabeledDrug_RealmCode()`

### getTypeId

    POCDMT000040InfrastructureRootTypeId getTypeId()

  Returns the value of the 'Type Id' containment reference.

  If the meaning of the 'Type Id' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040LabeledDrug_TypeId()`

### setTypeId

    void setTypeId(POCDMT000040InfrastructureRootTypeId value)

  Sets the value of the '`Type Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Type Id' containment reference.
  See Also:
    `getTypeId()`

### getTemplateId

    org.eclipse.emf.common.util.EList getTemplateId()

  Returns the value of the 'Template Id' containment reference list. The list contents are of type `II`.

  If the meaning of the 'Template Id' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040LabeledDrug_TemplateId()`

### getCode

    CE getCode()

  Returns the value of the 'Code' containment reference.

  If the meaning of the 'Code' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `setCode(CE)`, `CDAR2Package.getPOCDMT000040LabeledDrug_Code()`

### setCode

    void setCode(CE value)

  Sets the value of the '`Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Code' containment reference.
  See Also:
    `getCode()`

### getName

    EN getName()

  Returns the value of the 'Name' containment reference.

  If the meaning of the 'Name' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' containment reference.
  See Also:
    `setName(EN)`, `CDAR2Package.getPOCDMT000040LabeledDrug_Name()`

### setName

    void setName(EN value)

  Sets the value of the '`Name`' containment reference.

  Parameters:
    `value` - the new value of the 'Name' containment reference.
  See Also:
    `getName()`

### getClassCode

    org.eclipse.emf.common.util.Enumerator getClassCode()

  Returns the value of the 'Class Code' attribute. The default value is `"MMAT"`.

  If the meaning of the 'Class Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040LabeledDrug_ClassCode()`

### setClassCode

    void setClassCode(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Class Code`' attribute.

  Parameters:
    `value` - the new value of the 'Class Code' attribute.
  See Also:
    `isSetClassCode()`, `unsetClassCode()`, `getClassCode()`

### unsetClassCode

    void unsetClassCode()

  Unsets the value of the '`Class Code`' attribute.

  See Also:
    `isSetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### isSetClassCode

    boolean isSetClassCode()

  Returns whether the value of the '`Class Code`' attribute is set.

  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `unsetClassCode()`, `getClassCode()`, `setClassCode(Enumerator)`

### getDeterminerCode

    EntityDeterminerDetermined getDeterminerCode()

  Returns the value of the 'Determiner Code' attribute. The default value is `"KIND"`. The literals are from the enumeration `EntityDeterminerDetermined`.

  If the meaning of the 'Determiner Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Determiner Code' attribute.
  See Also:
    `EntityDeterminerDetermined`, `isSetDeterminerCode()`, `unsetDeterminerCode()`, `setDeterminerCode(EntityDeterminerDetermined)`, `CDAR2Package.getPOCDMT000040LabeledDrug_DeterminerCode()`

### setDeterminerCode

    void setDeterminerCode(EntityDeterminerDetermined value)

  Sets the value of the '`Determiner Code`' attribute.

  Parameters:
    `value` - the new value of the 'Determiner Code' attribute.
  See Also:
    `EntityDeterminerDetermined`, `isSetDeterminerCode()`, `unsetDeterminerCode()`, `getDeterminerCode()`

### unsetDeterminerCode

    void unsetDeterminerCode()

  Unsets the value of the '`Determiner Code`' attribute.

  See Also:
    `isSetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(EntityDeterminerDetermined)`

### isSetDeterminerCode

    boolean isSetDeterminerCode()

  Returns whether the value of the '`Determiner Code`' attribute is set.

  Returns:
    whether the value of the 'Determiner Code' attribute is set.
  See Also:
    `unsetDeterminerCode()`, `getDeterminerCode()`, `setDeterminerCode(EntityDeterminerDetermined)`

### getNullFlavor

    org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Returns the value of the 'Null Flavor' attribute.

  If the meaning of the 'Null Flavor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040LabeledDrug_NullFlavor()`

### setNullFlavor

    void setNullFlavor(org.eclipse.emf.common.util.Enumerator value)

  Sets the value of the '`Null Flavor`' attribute.

  Parameters:
    `value` - the new value of the 'Null Flavor' attribute.
  See Also:
    `getNullFlavor()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD